BSL430.NET 1.2.1

Public Attributes | List of all members
FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE Class Reference

EEPROM structure specific to FT4232H devices. Inherits from FT_EEPROM_DATA. More...

Inheritance diagram for FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE:

## Public Attributes
bool | PullDownEnable = false
| Determines if IOs are pulled down when the device is in suspend More...
bool | SerNumEnable = true
| Determines if the serial number is enabled More...
bool | ASlowSlew = false
| Determines if A pins have a slow slew rate More...
bool | ASchmittInput = false
| Determines if the A pins have a Schmitt input More...
byte | ADriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA
| Determines the A pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA More...
bool | BSlowSlew = false
| Determines if B pins have a slow slew rate More...
bool | BSchmittInput = false
| Determines if the B pins have a Schmitt input More...
byte | BDriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA
| Determines the B pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA More...
bool | CSlowSlew = false
| Determines if C pins have a slow slew rate More...
bool | CSchmittInput = false
| Determines if the C pins have a Schmitt input More...
byte | CDriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA
| Determines the C pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA More...
bool | DSlowSlew = false
| Determines if D pins have a slow slew rate More...
bool | DSchmittInput = false
| Determines if the D pins have a Schmitt input More...
byte | DDriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA
| Determines the D pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA More...
bool | ARIIsTXDEN = false
| RI of port A acts as RS485 transmit enable (TXDEN) More...
bool | BRIIsTXDEN = false
| RI of port B acts as RS485 transmit enable (TXDEN) More...
bool | CRIIsTXDEN = false
| RI of port C acts as RS485 transmit enable (TXDEN) More...
bool | DRIIsTXDEN = false
| RI of port D acts as RS485 transmit enable (TXDEN) More...
bool | AIsVCP = true
| Determines if channel A loads the VCP driver More...
bool | BIsVCP = true
| Determines if channel B loads the VCP driver More...
bool | CIsVCP = true
| Determines if channel C loads the VCP driver More...
bool | DIsVCP = true
| Determines if channel D loads the VCP driver More...
Public Attributes inherited from FTD2XX_NET.FTDI.FT_EEPROM_DATA
UInt16 | VendorID = 0x0403
| Vendor ID as supplied by the USB Implementers Forum More...
UInt16 | ProductID = 0x6001
| Product ID More...
string | Manufacturer = "FTDI"
| Manufacturer name string More...
string | ManufacturerID = "FT"
| Manufacturer name abbreviation to be used as a prefix for automatically generated serial numbers More...
string | Description = "USB-Serial Converter"
| Device description string More...
string | SerialNumber = ""
| Device serial number string More...
UInt16 | MaxPower = 0x0090
| Maximum power the device needs More...
bool | SelfPowered = false
| Indicates if the device has its own power supply (self-powered) or gets power from the USB port (bus-powered) More...
bool | RemoteWakeup = false
| Determines if the device can wake the host PC from suspend by toggling the RI line More...

## Detailed Description

EEPROM structure specific to FT4232H devices. Inherits from FT_EEPROM_DATA.

## Member Data Documentation

## ◆ ADriveCurrent

byte FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.ADriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA

Determines the A pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA

## ◆ AIsVCP

bool FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.AIsVCP = true

Determines if channel A loads the VCP driver

## ◆ ARIIsTXDEN

bool FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.ARIIsTXDEN = false

RI of port A acts as RS485 transmit enable (TXDEN)

## ◆ ASchmittInput

bool FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.ASchmittInput = false

Determines if the A pins have a Schmitt input

## ◆ ASlowSlew

bool FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.ASlowSlew = false

Determines if A pins have a slow slew rate

## ◆ BDriveCurrent

byte FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.BDriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA

Determines the B pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA

## ◆ BIsVCP

bool FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.BIsVCP = true

Determines if channel B loads the VCP driver

## ◆ BRIIsTXDEN

bool FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.BRIIsTXDEN = false

RI of port B acts as RS485 transmit enable (TXDEN)

## ◆ BSchmittInput

bool FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.BSchmittInput = false

Determines if the B pins have a Schmitt input

## ◆ BSlowSlew

bool FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.BSlowSlew = false

Determines if B pins have a slow slew rate

## ◆ CDriveCurrent

byte FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.CDriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA

Determines the C pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA

## ◆ CIsVCP

bool FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.CIsVCP = true

Determines if channel C loads the VCP driver

## ◆ CRIIsTXDEN

bool FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.CRIIsTXDEN = false

RI of port C acts as RS485 transmit enable (TXDEN)

## ◆ CSchmittInput

bool FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.CSchmittInput = false

Determines if the C pins have a Schmitt input

## ◆ CSlowSlew

bool FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.CSlowSlew = false

Determines if C pins have a slow slew rate

## ◆ DDriveCurrent

byte FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.DDriveCurrent = FT_DRIVE_CURRENT.FT_DRIVE_CURRENT_4MA

Determines the D pins drive current in mA. Valid values are FT_DRIVE_CURRENT_4MA, FT_DRIVE_CURRENT_8MA, FT_DRIVE_CURRENT_12MA or FT_DRIVE_CURRENT_16MA

## ◆ DIsVCP

bool FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.DIsVCP = true

Determines if channel D loads the VCP driver

## ◆ DRIIsTXDEN

bool FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.DRIIsTXDEN = false

RI of port D acts as RS485 transmit enable (TXDEN)

## ◆ DSchmittInput

bool FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.DSchmittInput = false

Determines if the D pins have a Schmitt input

## ◆ DSlowSlew

bool FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.DSlowSlew = false

Determines if D pins have a slow slew rate

## ◆ PullDownEnable

bool FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.PullDownEnable = false

Determines if IOs are pulled down when the device is in suspend

## ◆ SerNumEnable

bool FTD2XX_NET.FTDI.FT4232H_EEPROM_STRUCTURE.SerNumEnable = true

Determines if the serial number is enabled

The documentation for this class was generated from the following file:

- C:/PROJECTS/C#/BSL430.NET/src/BSL430.NET/FTD2XX_NET.cs